function set_uuid {
    ESP_UUID=''
    DATA_UUID=''
    if [ ! "${DATA_UUID}" ] ; then
        DATA_UUID="${ESP_UUID}"
    fi
}

function set_init {
    set_uuid
    #
    search --no-floppy --set data \\
    --fs-uuid '${DATA_UUID}'
    #
    search --no-floppy --set esp \\
    --fs-uuid '${ESP_UUID}'
    if [ "${esp}" ] ; then
        env="(${esp})/grub.env"
        live="(${esp})/${PROJECT}/live"
        #
        for file in ${live}/source/*.sh ; do
            source "${file}"
        done
        unset file
    fi
}

function normal_init {
    check_signatures='no'
    pager=1
    #
    set_init
    if [ "${esp}" ] ; then
        prefix="(${esp})/grub"
        root="${esp}"
        #
        normal "${live}/normal.sh"
    fi
}

normal_init
